From 946a076c2ce20dd8f7cfa1acbdab1268d406d3e1 Mon Sep 17 00:00:00 2001 From: Markus Lehtonen Date: Tue, 26 Apr 2016 15:51:20 +0300 Subject: scripts/contrib: introduce build-perf-test-wrapper.sh A shell script wrapper around oe-build-perf-test script. The purpose of this wrapper is to act as a executor script, making it possible to run the tests with a single command. The wrapper script initializes the build environment, runs oe-build-perf-test and archives the results. Signed-off-by: Markus Lehtonen Signed-off-by: Ross Burton --- scripts/contrib/build-perf-test-wrapper.sh | 102 +++++++++++++++++++++++++++++ 1 file changed, 102 insertions(+) create mode 100755 scripts/contrib/build-perf-test-wrapper.sh (limited to 'scripts') diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh new file mode 100755 index 0000000000..e8e8021d58 --- /dev/null +++ b/scripts/contrib/build-perf-test-wrapper.sh @@ -0,0 +1,102 @@ +#!/bin/bash +# +# Build performance test script wrapper +# +# Copyright (c) 2016, Intel Corporation. +# +# This program is free software; you can redistribute it and/or modify it +# under the terms and conditions of the GNU General Public License, +# version 2, as published by the Free Software Foundation. +# +# This program is distributed in the hope it will be useful, but WITHOUT +# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or +# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for +# more details. +# +# +# This script is a simple wrapper around the actual build performance tester +# script. This script initializes the build environment, runs +# oe-build-perf-test and archives the results. + +script=`basename $0` +usage () { + echo "Usage: $script [COMMITISH]" +} + +if [ $# -gt 1 ]; then + usage + exit 1 +fi +commitish=$1 + +echo "Running on `uname -n`" + +if ! git_topdir=$(git rev-parse --show-toplevel); then + echo "The current working dir doesn't seem to be a git clone. Please cd there before running `basename $0`" + exit 1 +fi + +cd "$git_topdir" + +if [ -n "$commitish" ]; then + # Checkout correct revision + echo "Checking out $commitish" + git fetch &> /dev/null + git checkout HEAD^0 &> /dev/null + git branch -D $commitish &> /dev/null + if ! git checkout -f $commitish &> /dev/null; then + echo "Git checkout failed" + exit 1 + fi +fi + +# Setup build environment +timestamp=`date "+%Y%m%d%H%M%S"` +git_rev=$(git rev-parse --short HEAD) || exit 1 +base_dir="$git_topdir/build-perf-test" +build_dir="$base_dir/build-$git_rev-$timestamp" +results_dir="$base_dir/results-$git_rev-$timestamp" +globalres_log="$base_dir/globalres.log" + +mkdir -p "$base_dir" +source ./oe-init-build-env $build_dir >/dev/null || exit 1 + +# Additional config +auto_conf="$build_dir/conf/auto.conf" +echo 'MACHINE = "qemux86"' > "$auto_conf" +echo 'BB_NUMBER_THREADS = "8"' >> "$auto_conf" +echo 'PARALLEL_MAKE = "-j 8"' >> "$auto_conf" +echo "DL_DIR = \"$base_dir/downloads\"" >> "$auto_conf" +# Disabling network sanity check slightly reduces the variance of timing results +echo 'CONNECTIVITY_CHECK_URIS = ""' >> "$auto_conf" +# Possibility to define extra settings +if [ -f "$base_dir/auto.conf.extra" ]; then + cat "$base_dir/auto.conf.extra" >> "$auto_conf" +fi + +# Run actual test script +if ! oe-build-perf-test --out-dir "$results_dir" \ + --globalres-file "$globalres_log" \ + --lock-file "$base_dir/oe-build-perf.lock"; then + echo "oe-build-perf-test script failed!" + exit 1 +fi + +echo -ne "\n\n-----------------\n" +echo "Global results file:" +echo -ne "\n" + +cat "$globalres_log" + +echo -ne "\n\n-----------------\n" +echo "Archiving results dir..." +archive_dir=~/perf-results/archives +mkdir -p "$archive_dir" +results_basename=`basename "$results_dir"` +results_dirname=`dirname "$results_dir"` +tar -czf "$archive_dir/`uname -n`-${results_basename}.tar.gz" -C "$results_dirname" "$results_basename" + +rm -rf "$build_dir" +rm -rf "$results_dir" + +echo "DONE" -- cgit v1.2.3 ='upd'>.gitignore17
-rw-r--r--.templateconf2
-rw-r--r--LICENSE13
-rw-r--r--README38
-rw-r--r--README.hardware436
-rw-r--r--bitbake/AUTHORS10
-rw-r--r--bitbake/ChangeLog317
-rw-r--r--bitbake/HEADER19
-rwxr-xr-xbitbake/bin/bitbake197
-rwxr-xr-xbitbake/bin/bitdoc534
-rw-r--r--bitbake/contrib/README1
-rw-r--r--bitbake/contrib/bbdev.sh31
-rw-r--r--bitbake/contrib/vim/ftdetect/bitbake.vim4
-rw-r--r--bitbake/contrib/vim/syntax/bitbake.vim127
-rw-r--r--bitbake/doc/bitbake.1121
-rw-r--r--bitbake/doc/manual/Makefile56
-rw-r--r--bitbake/doc/manual/html.css281
-rw-r--r--bitbake/doc/manual/usermanual.xml516
-rw-r--r--bitbake/lib/bb/COW.py318
-rw-r--r--bitbake/lib/bb/__init__.py1134
-rw-r--r--bitbake/lib/bb/build.py392
-rw-r--r--bitbake/lib/bb/cache.py533
-rw-r--r--bitbake/lib/bb/command.py271
-rw-r--r--bitbake/lib/bb/cooker.py977
-rw-r--r--bitbake/lib/bb/daemonize.py191
-rw-r--r--bitbake/lib/bb/data.py562
-rw-r--r--bitbake/lib/bb/data_smart.py289
-rw-r--r--bitbake/lib/bb/event.py278
-rw-r--r--bitbake/lib/bb/fetch/__init__.py683
-rw-r--r--bitbake/lib/bb/fetch/bzr.py148
-rw-r--r--bitbake/lib/bb/fetch/cvs.py177
-rw-r--r--bitbake/lib/bb/fetch/git.py213
-rw-r--r--bitbake/lib/bb/fetch/hg.py173
-rw-r--r--bitbake/lib/bb/fetch/local.py72
-rw-r--r--bitbake/lib/bb/fetch/osc.py150
-rw-r--r--bitbake/lib/bb/fetch/perforce.py209
-rw-r--r--bitbake/lib/bb/fetch/ssh.py118
-rw-r--r--bitbake/lib/bb/fetch/svk.py106
-rw-r--r--bitbake/lib/bb/fetch/svn.py201
-rw-r--r--bitbake/lib/bb/fetch/wget.py114
-rw-r--r--bitbake/lib/bb/manifest.py144
-rw-r--r--bitbake/lib/bb/methodpool.py84
-rw-r--r--bitbake/lib/bb/msg.py125
-rw-r--r--bitbake/lib/bb/parse/__init__.py107
-rw-r--r--bitbake/lib/bb/parse/ast.py238
-rw-r--r--bitbake/lib/bb/parse/parse_py/BBHandler.py257
-rw-r--r--bitbake/lib/bb/parse/parse_py/ConfHandler.py139
-rw-r--r--bitbake/lib/bb/parse/parse_py/__init__.py33
-rw-r--r--bitbake/lib/bb/persist_data.py121
-rw-r--r--bitbake/lib/bb/providers.py329
-rw-r--r--bitbake/lib/bb/runqueue.py1197
-rw-r--r--bitbake/lib/bb/server/none.py181
-rw-r--r--bitbake/lib/bb/server/xmlrpc.py187
-rw-r--r--bitbake/lib/bb/shell.py824
-rw-r--r--bitbake/lib/bb/taskdata.py610
-rw-r--r--bitbake/lib/bb/ui/__init__.py18
-rw-r--r--bitbake/lib/bb/ui/crumbs/__init__.py18
-rw-r--r--bitbake/lib/bb/ui/crumbs/buildmanager.py457
-rw-r--r--bitbake/lib/bb/ui/crumbs/puccho.glade606
-rw-r--r--bitbake/lib/bb/ui/crumbs/runningbuild.py180
-rw-r--r--bitbake/lib/bb/ui/depexp.py272
-rw-r--r--bitbake/lib/bb/ui/goggle.py77
-rw-r--r--bitbake/lib/bb/ui/knotty.py182
-rw-r--r--bitbake/lib/bb/ui/ncurses.py335
-rw-r--r--bitbake/lib/bb/ui/puccho.py425
-rw-r--r--bitbake/lib/bb/ui/uievent.py125
-rw-r--r--bitbake/lib/bb/ui/uihelper.py50
-rw-r--r--bitbake/lib/bb/utils.py431
-rw-r--r--build/conf/local.conf.sample160
-rw-r--r--build/conf/site.conf.sample37
-rw-r--r--handbook/ChangeLog38
-rw-r--r--handbook/Makefile25
-rw-r--r--handbook/TODO11
-rw-r--r--handbook/contactus.xml30
-rw-r--r--handbook/development.xml853
-rw-r--r--handbook/examples/hello-autotools/hello_2.3.bb7
-rw-r--r--handbook/examples/hello-single/files/helloworld.c8
-rw-r--r--handbook/examples/hello-single/hello.bb16
-rw-r--r--handbook/examples/libxpm/libxpm_3.5.6.bb13
-rw-r--r--handbook/examples/mtd-makefile/mtd-utils_1.0.0.bb13
-rw-r--r--handbook/extendpoky.xml814
-rw-r--r--handbook/faq.xml266
-rw-r--r--handbook/introduction.xml330
-rw-r--r--handbook/poky-beaver.pngbin26252 -> 0 bytes-rw-r--r--handbook/poky-doc-tools/ChangeLog30
-rw-r--r--handbook/poky-doc-tools/INSTALL236
-rw-r--r--handbook/poky-doc-tools/Makefile.am18
-rw-r--r--handbook/poky-doc-tools/README24
-rwxr-xr-xhandbook/poky-doc-tools/autogen.sh3
-rw-r--r--handbook/poky-doc-tools/common/Makefile.am21
-rw-r--r--handbook/poky-doc-tools/common/Vera.ttfbin65932 -> 0 bytes-rw-r--r--handbook/poky-doc-tools/common/Vera.xml1
-rw-r--r--handbook/poky-doc-tools/common/VeraMoBd.ttfbin49052 -> 0 bytes-rw-r--r--handbook/poky-doc-tools/common/VeraMoBd.xml1
-rw-r--r--handbook/poky-doc-tools/common/VeraMono.ttfbin49224 -> 0 bytes-rw-r--r--handbook/poky-doc-tools/common/VeraMono.xml1
-rw-r--r--handbook/poky-doc-tools/common/draft.pngbin24847 -> 0 bytes-rw-r--r--handbook/poky-doc-tools/common/fop-config.xml.in33
-rw-r--r--handbook/poky-doc-tools/common/ohand-color.svg150
-rw-r--r--handbook/poky-doc-tools/common/poky-db-pdf.xsl64
-rw-r--r--handbook/poky-doc-tools/common/poky-handbook.pngbin32145 -> 0 bytes-rw-r--r--handbook/poky-doc-tools/common/poky.svg163
-rw-r--r--handbook/poky-doc-tools/common/titlepage.templates.xml1240
-rw-r--r--handbook/poky-doc-tools/configure.ac27
-rw-r--r--handbook/poky-doc-tools/poky-docbook-to-pdf.in44
-rw-r--r--handbook/poky-handbook.pngbin17829 -> 0 bytes-rw-r--r--handbook/poky-handbook.xml112
-rw-r--r--handbook/poky-logo.svg117
-rw-r--r--handbook/ref-bitbake.xml340
-rw-r--r--handbook/ref-classes.xml461
-rw-r--r--handbook/ref-features.xml302
-rw-r--r--handbook/ref-images.xml69
-rw-r--r--handbook/ref-structure.xml365
-rw-r--r--handbook/ref-variables.xml840
-rw-r--r--handbook/ref-varlocality.xml204
-rw-r--r--handbook/resources.xml92
-rw-r--r--handbook/screenshots/ss-anjuta-poky-1.pngbin96531 -> 0 bytes-rw-r--r--handbook/screenshots/ss-anjuta-poky-2.pngbin76419 -> 0 bytes-rw-r--r--handbook/screenshots/ss-oprofile-viewer.pngbin51240 -> 0 bytes-rw-r--r--handbook/screenshots/ss-sato.pngbin38689 -> 0 bytes-rw-r--r--handbook/style.css953
-rw-r--r--handbook/usingpoky.xml390
-rw-r--r--meta-extras/conf/machine/android-goldfish.conf18
-rw-r--r--meta-extras/packages/acct/acct_6.3.99+6.4pre1.bb9
-rw-r--r--meta-extras/packages/acct/files/cross-compile.patch34
-rw-r--r--meta-extras/packages/eventlog/eventlog_0.2.5.bb7
-rw-r--r--meta-extras/packages/evince/evince_2.20.0.bb10
-rw-r--r--meta-extras/packages/evince/evince_svn.bb14
-rw-r--r--meta-extras/packages/evince/files/no-icon-theme.diff13
-rw-r--r--meta-extras/packages/flumotion/flumotion/no-check-for-python-stuff.patch68
-rw-r--r--meta-extras/packages/flumotion/flumotion/python-path.patch25
-rw-r--r--meta-extras/packages/flumotion/flumotion_0.4.1.bb41
-rw-r--r--meta-extras/packages/images/poky-image-extras.bb9
-rw-r--r--meta-extras/packages/libol/libol_0.3.18.bb8
-rw-r--r--meta-extras/packages/libxosd/files/autofoo.patch116
-rw-r--r--meta-extras/packages/libxosd/files/use-sane-default-font.patch13
-rw-r--r--meta-extras/packages/libxosd/libxosd_svn.bb20
-rw-r--r--meta-extras/packages/linux/linux-android-goldfish/binutils-buildid-arm.patch16
-rw-r--r--meta-extras/packages/linux/linux-android-goldfish/defconfig-android-goldfish1043
-rw-r--r--meta-extras/packages/linux/linux-android-goldfish_2.6.23-rc20.bb81
-rw-r--r--meta-extras/packages/madplay/madplay_0.15.2b.bb12